For the complete documentation index, see llms.txt. This page is also available as Markdown.

Categories

Listar Categorias

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: id
dirstringOpcionalDefault: asc
Respostas
200

Categories listed

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/categories
GET /api/b2b/categories HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "root_id": "text",
      "name": "text",
      "active": true,
      "description": "text",
      "seo_title": "text",
      "seo_description": "text",
      "seo_meta_keywords": [
        "text"
      ],
      "specifications": [
        {
          "name": "text",
          "items": [
            {
              "id": "text",
              "category_id": "text",
              "name": "text",
              "type": "text",
              "values": [
                "text"
              ]
            }
          ]
        }
      ],
      "image_resource_id": "text",
      "children": [
        {
          "id": "text",
          "root_id": "text",
          "name": "text",
          "active": true,
          "description": "text",
          "seo_title": "text",
          "seo_description": "text",
          "seo_meta_keywords": [
            "text"
          ],
          "specifications": [
            {
              "name": "text",
              "items": [
                {
                  "id": "text",
                  "category_id": "text",
                  "name": "text",
                  "type": "text",
                  "values": [
                    "text"
                  ]
                }
              ]
            }
          ],
          "image_resource_id": "text",
          "children": [
            "[Circular Reference]"
          ],
          "attributes": {
            "ANY_ADDITIONAL_PROPERTY": {}
          }
        }
      ],
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}